FROM mageai/mageai:latest

ARG USER_CODE_PATH=/home/src/datamite_workflow

# Note: this overwrites the requirements.txt file in your new project on first run. 
# You can delete this line for the second run :) 
COPY datamite_workflow/ ${USER_CODE_PATH}/ 
COPY datamite_workflow/requirements.txt ${USER_CODE_PATH}/requirements.txt

RUN pip3 install -r ${USER_CODE_PATH}/requirements.txt

ENTRYPOINT [ "mage", "start", "datamite_workflow"]